"use strict";
exports.__esModule = true;
exports.ContentBuilderTemplate0 = void 0;
var tslib_1 = require("tslib");
// @ts-nocheck
require("./ContentBuilderTemplate.css");
var react_1 = (0, tslib_1.__importDefault)(require("react"));
var PropsWithAsAttributes_1 = require("../../../utils/types/PropsWithAsAttributes");
var usePropsHandler_1 = require("../../EventInterceptor/usePropsHandler");
var index_1 = require("./index");
var Typography_1 = require("../../Typography/Typography");
exports.ContentBuilderTemplate0 = (0, PropsWithAsAttributes_1.forwardRefWithAs)(function (props, ref) {
    var _a = (0, usePropsHandler_1.usePropsHandler)((0, index_1.cnContentBuilderTemplate)(), props), type = _a.type, title = _a.title, items = _a.items;
    var typeNumber = type.toString();
    return (react_1["default"].createElement("div", { className: (0, index_1.cnContentBuilderTemplate)({ type: typeNumber }) },
        title && (react_1["default"].createElement(Typography_1.Typography.Text, { size: "xs", weight: "bold", transform: "uppercase", className: (0, index_1.cnContentBuilderTemplate)('Title') }, title)),
        (items === null || items === void 0 ? void 0 : items.length) > 0 && (react_1["default"].createElement("div", { className: (0, index_1.cnContentBuilderTemplate)('List') }, items.map(function (item) {
            var _a;
            return (react_1["default"].createElement("div", { key: item.id, className: (0, index_1.cnContentBuilderTemplate)('Item') },
                react_1["default"].createElement(Typography_1.Typography.Title, { size: "lg" }, item.title),
                ((_a = item.items) === null || _a === void 0 ? void 0 : _a.length) > 0 && (react_1["default"].createElement("div", { className: "Article" },
                    react_1["default"].createElement("ul", { className: "styled-list inline-styled-list" }, item.items.map(function (item) { return (react_1["default"].createElement("li", { key: item }, item)); }))))));
        })))));
});
exports["default"] = exports.ContentBuilderTemplate0;
